Package org.eclipse.viatra.addon.databinding.runtime.observables

## Class ObservableLabelFeature

- java.lang.Object
- - org.eclipse.core.databinding.observable.AbstractObservable
  - - org.eclipse.core.databinding.observable.value.AbstractObservableValue<T>
    - - org.eclipse.core.databinding.observable.value.ComputedValue
      - - org.eclipse.viatra.addon.databinding.runtime.observables.ObservableLabelFeature

- All Implemented Interfaces:
    `org.eclipse.core.databinding.observable.IObservable`, `org.eclipse.core.databinding.observable.value.IObservableValue`

      public class ObservableLabelFeature
      extends org.eclipse.core.databinding.observable.value.ComputedValue

  An observable label feature is a computed label, that can refer to the various parameters of the match, and reacts to the corresponding model changes.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ObservableLabelFeature​(IPatternMatch match, java.lang.String expression, java.lang.Object container)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `addListener​(java.lang.Object arg0, org.eclipse.core.databinding.observable.IObservablesListener arg1)` |
    `protected java.lang.Object` | `calculate()` |
    `protected java.lang.Object` | `clone()` |
    `void` | `dispose()` |
    `protected void` | `fireEvent​(org.eclipse.core.databinding.observable.ObservableEvent arg0)` |
    `protected void` | `firstListenerAdded()` |
    `java.lang.Object` | `getContainer()` |
    `java.lang.String` | `getExpression()` |
    `IPatternMatch` | `getMatch()` |
    `org.eclipse.core.databinding.observable.Realm` | `getRealm()` |
    `protected void` | `lastListenerRemoved()` |
    `protected void` | `removeListener​(java.lang.Object arg0, org.eclipse.core.databinding.observable.IObservablesListener arg1)` |

    - ### Methods inherited from class org.eclipse.core.databinding.observable.value.ComputedValue

      `addChangeListener, addValueChangeListener, create, doGetValue, getValueType, hasListeners, isStale, makeDirty`

    - ### Methods inherited from class org.eclipse.core.databinding.observable.value.AbstractObservableValue

      `doSetValue, fireChange, fireValueChange, getValue, removeValueChangeListener, setValue`

    - ### Methods inherited from class org.eclipse.core.databinding.observable.AbstractObservable

      `addDisposeListener, addStaleListener, checkRealm, fireStale, isDisposed, removeChangeListener, removeDisposeListener, removeStaleListener`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.core.databinding.observable.IObservable

      `addDisposeListener, addStaleListener, getRealm, isDisposed, removeChangeListener, removeDisposeListener, removeStaleListener`

- - ### Constructor Detail

    - #### ObservableLabelFeature

          public ObservableLabelFeature​(IPatternMatch match,
                                        java.lang.String expression,
                                        java.lang.Object container)

  - ### Method Detail

    - #### getContainer

          public java.lang.Object getContainer()

    - #### getMatch

          public IPatternMatch getMatch()

    - #### getExpression

          public java.lang.String getExpression()

    - #### calculate

          protected java.lang.Object calculate()

      Specified by:
        `calculate` in class `org.eclipse.core.databinding.observable.value.ComputedValue`

    - #### dispose

          public void dispose()

      Specified by:
        `dispose` in interface `org.eclipse.core.databinding.observable.IObservable`
      Overrides:
        `dispose` in class `org.eclipse.core.databinding.observable.value.ComputedValue`

    - #### addListener

          protected void addListener​(java.lang.Object arg0,
                                     org.eclipse.core.databinding.observable.IObservablesListener arg1)

    - #### removeListener

          protected void removeListener​(java.lang.Object arg0,
                                        org.eclipse.core.databinding.observable.IObservablesListener arg1)

    - #### fireEvent

          protected void fireEvent​(org.eclipse.core.databinding.observable.ObservableEvent arg0)

    - #### firstListenerAdded

          protected void firstListenerAdded()

    - #### lastListenerRemoved

          protected void lastListenerRemoved()

    - #### getRealm

          public org.eclipse.core.databinding.observable.Realm getRealm()

    - #### clone

          protected java.lang.Object clone()
                                    throws java.lang.CloneNotSupportedException

      Overrides:
        `clone` in class `java.lang.Object`
      Throws:
        `java.lang.CloneNotSupportedException`